LAGO_URL="https://api.getlago.com"
FEE_ID="__YOUR_FEE_ID__"
API_KEY="__YOUR_API_KEY__"
curl --location --request GET "$LAGO_URL/api/v1/fees/$FEE_ID" \
--header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError
client = Client(api_key='__YOUR_API_KEY__')
try:
client.fees.find('id')
except LagoApiError as e:
repair_broken_state(e) # do something on error or raise your own exception
require 'lago-ruby-client'
client = Lago::Api::Client.new({api_key: '__YOUR_API_KEY__'})
client.fees.get('id')
await client.fees.findFee('fee-id')
import "fmt"
import "github.com/getlago/lago-go-client"
func main() {
lagoClient := lago.New().SetApiKey("__YOUR_API_KEY__")
fee, err := lagoClient.Fees().Get("id")
if err != nil {
// Error is *lago.Error
panic(err)
}
// credit note is *lago.Fee
fmt.Println(fee)
}
using System.Collections.Generic;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;
namespace Example
{
public class FindFeeExample
{
public static void Main()
{
Configuration.Default.BasePath = "https://api.getlago.com/api/v1";
// Configure HTTP bearer authorization: bearerAuth
Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";
var apiInstance = new FeesApi(Configuration.Default);
var id = "12345"; // string | Id of the existing fee
try
{
// Find fee
Fee result = apiInstance.FindFee(id);
Debug.WriteLine(result);
}
catch (ApiException e)
{
Debug.Print("Exception when calling FeesApi.FindFee: " + e.Message );
Debug.Print("Status Code: "+ e.ErrorCode);
Debug.Print(e.StackTrace);
}
}
}
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');
// Configure Bearer authorization: bearerAuth
$config = OpenAPI\Client\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');
$apiInstance = new OpenAPI\Client\Api\FeesApi(
// If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
// This is optional, `GuzzleHttp\Client` will be used as default.
new GuzzleHttp\Client(),
$config
);
$id = "12345"; // string | Id of the existing fee
try {
$result = $apiInstance->findFee($id);
print_r($result);
} catch (Exception $e) {
echo 'Exception when calling FeesApi->findFee: ', $e->getMessage(), PHP_EOL;
}